Package org.drinkless.tdlib

# Class TdApi.ChatLocation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatLocation

Enclosing class:
  `TdApi`

public static class TdApi.ChatLocation extends TdApi.Object
Represents a location to which a chat is connected.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `address`
  Location address; 1-64 characters, as defined by the chat owner.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Location`
  `location`
  The location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatLocation()`
  Represents a location to which a chat is connected.
  `ChatLocation(TdApi.Location location, String address)`
  Represents a location to which a chat is connected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    public TdApi.Location location
    The location.

  - ### address

    public String address
    Location address; 1-64 characters, as defined by the chat owner.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatLocation

    public ChatLocation()
    Represents a location to which a chat is connected.

  - ### ChatLocation

    public ChatLocation(TdApi.Location location, String address)
    Represents a location to which a chat is connected.
    Parameters:
      `location` - The location.
      `address` - Location address; 1-64 characters, as defined by the chat owner.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR